Ubuntu

internal mic not working in ubuntu 9.04/9.10 etc... Realtek alc262

Reported by shadowfoxx on 2009-11-09
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Daniel T Chen
Lucid
Undecided
Unassigned

Bug Description

This patch will be included in the update of Lucid to 2.6.32.12 stable upstream (see Bug #575853)

---

os: ubuntu 9.10 (but was also happening on 9.04)
machine: lenovo 3000 y410 laptop
alsa-info.sh link: http://www.alsa-project.org/db/?f=0c430e75e31caa47e556785518aba6d59cf5b29b

I have a lenovo 300 y410 laptop. The internal mic worked fine under windows but has never worked under ubuntu. Neither Ubuntu 9.04 or Ubuntu 9.10 have it working. All other audio works fine just the internal mic does not work. I have tried going into alsamixer and making sure that the input is set to internal mic and that the internal mic is not muted but still no luck. I am not sure what to do from here. I have included the link to my alsa-info.sh info above. Thanks for any help you can provide.
---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: rios 1423 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf8300000 irq 22'
   Mixer name : 'Realtek ALC262'
   Components : 'HDA:10ec0262,17aa3837,00100002 HDA:10573055,10573055,00100700'
   Controls : 29
   Simple ctrls : 18
DistroRelease: Ubuntu 10.04
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
LiveMediaBuild: Ubuntu 10.04 "Lucid Lynx" - Beta i386 (20100318)
Package: alsa-base 1.0.22.1+dfsg-0ubuntu3
PackageArchitecture: all
ProcEnviron:
 PATH=(custom, user)
 LANG=en_US.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-18.27-generic 2.6.32.10+drm33.1
Tags: lucid
Uname: Linux 2.6.32-18-generic i686
UserGroups: adm admin audio cdrom dialout dip fax fuse lpadmin netdev plugdev sambashare tape vboxusers video
dmi.bios.date: 08/29/2007
dmi.bios.vendor: LENOVO
dmi.bios.version: 05CN39WW(V1.10)
dmi.board.name: IGT30
dmi.board.vendor: LENOVO
dmi.board.version: REFERENCE
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: No Enclosure
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnLENOVO:bvr05CN39WW(V1.10):bd08/29/2007:svnLENOVO:pnLENOVO3000Y410:pvr:rvnLENOVO:rnIGT30:rvrREFERENCE:cvnNoEnclosure:ct10:cvrN/A:
dmi.product.name: LENOVO3000 Y410
dmi.sys.vendor: LENOVO

---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: rios 1409 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf8300000 irq 22'
   Mixer name : 'Realtek ALC262'
   Components : 'HDA:10ec0262,17aa3837,00100002 HDA:10573055,10573055,00100700'
   Controls : 29
   Simple ctrls : 18
DistroRelease: Ubuntu 10.04
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
Package: alsa-base 1.0.22.1+dfsg-0ubuntu3
PackageArchitecture: all
ProcEnviron:
 PATH=(custom, user)
 LANG=en_US.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-18.27-generic 2.6.32.10+drm33.1
Tags: lucid
Uname: Linux 2.6.32-18-generic i686
UserGroups: adm admin audio cdrom dialout dip fax fuse lpadmin netdev plugdev sambashare tape vboxusers video
dmi.bios.date: 08/29/2007
dmi.bios.vendor: LENOVO
dmi.bios.version: 05CN39WW(V1.10)
dmi.board.name: IGT30
dmi.board.vendor: LENOVO
dmi.board.version: REFERENCE
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: No Enclosure
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnLENOVO:bvr05CN39WW(V1.10):bd08/29/2007:svnLENOVO:pnLENOVO3000Y410:pvr:rvnLENOVO:rnIGT30:rvrREFERENCE:cvnNoEnclosure:ct10:cvrN/A:
dmi.product.name: LENOVO3000 Y410
dmi.sys.vendor: LENOVO

WeatherGod (ben-v-root) wrote :

shadowfoxx, thank you for submitting a bug report to help make Ubuntu better. This detailed information is very useful.

In addition, could you run 'apport-collect -p alsa-base 479373' to help gather additional information?

Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: rios 1852 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf8300000 irq 22'
   Mixer name : 'Realtek ALC262'
   Components : 'HDA:10ec0262,17aa3837,00100002 HDA:10573055,10573055,00100700'
   Controls : 30
   Simple ctrls : 19
DistroRelease: Ubuntu 9.10
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
Package: alsa-base 1.0.20+dfsg-1ubuntu5
PackageArchitecture: all
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_US.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-14.48+ureadahead2-generic
Uname: Linux 2.6.31-14-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

tags: added: apport-collected
shadowfoxx (ed-shadowfoxx) wrote :

Ok..thanks WeatherGod

 I ran 'apport-collect -p alsa-base 479373' as requested.... if you need me to do anything else of if I did something wrong and you need me to run it again just let me know.. Thanks.

None of your input device mixer controls are set to internal mic. Further,
your internal mic is muted. Lastly, your internal mic boost needs to be
raised.

On Nov 9, 2009 2:41 PM, "shadowfoxx" <email address hidden> wrote:

Ok..thanks WeatherGod

 I ran 'apport-collect -p alsa-base 479373' as requested.... if you need
me to do anything else of if I did something wrong and you need me to
run it again just let me know.. Thanks.

-- internal mic not working in ubuntu 9.04/9.10 etc... Realtek alc262
https://bugs.launchpad.net/b...

shadowfoxx (ed-shadowfoxx) wrote :

To Daniel T Chen...

Yes, that is because since the internal mic does not work I put the controls back to use an external mic.. since the external mic jack works just fine... I have already tried setting the controls via alsamixer.. to internal mic.. and unmuting it and raising both the mic level and boost level .. none of which has worked.

Daniel T Chen (crimsun) wrote :

Okay, then please install linux-backports-modules-alsa-karmic-generic and
reboot.

On Nov 9, 2009 7:20 PM, "shadowfoxx" <email address hidden> wrote:

To Daniel T Chen...

Yes, that is because since the internal mic does not work I put the
controls back to use an external mic.. since the external mic jack works
just fine... I have already tried setting the controls via alsamixer..
to internal mic.. and unmuting it and raising both the mic level and
boost level .. none of which has worked.

-- internal mic not working in ubuntu 9.04/9.10 etc... Realtek alc262
https://bugs.launchpad.net/b...

shadowfoxx (ed-shadowfoxx) wrote :

Ok. thanks for your help...

I installed linux-backports-modules-alsa-karmic-generic via synaptic and rebooted. I'll be honest... I'm not sure what this does so after reboot I tried going back into alsamixer and changed the settings on internal mic .. unmuted, boost all the way up.. to see if it fixed it... but still nothing.

Daniel T Chen (crimsun) wrote :

Please attach *all* the output from 'amixer' (without quotes) in a Terminal.

On Nov 9, 2009 8:05 PM, "shadowfoxx" <email address hidden> wrote:

Ok. thanks for your help...

I installed linux-backports-modules-alsa-karmic-generic via synaptic and
rebooted. I'll be honest... I'm not sure what this does so after reboot
I tried going back into alsamixer and changed the settings on internal
mic .. unmuted, boost all the way up.. to see if it fixed it... but
still nothing.

-- internal mic not working in ubuntu 9.04/9.10 etc... Realtek alc262
https://bugs.launchpad.net/b...

shadowfoxx (ed-shadowfoxx) wrote :
Download full text (7.1 KiB)

Here you go... (this is with config set to internal mic .. unmuted... boost all the way up)

Simple mixer control 'Master',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 24 [77%] [-10.50dB] [on]
  Front Right: Playback 24 [77%] [-10.50dB] [on]
Simple mixer control 'PCM',0
  Capabilities: pvolume
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 255
  Mono:
  Front Left: Playback 248 [97%] [-1.40dB]
  Front Right: Playback 248 [97%] [-1.40dB]
Simple mixer control 'CD',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 25 [81%] [3.00dB] [on]
  Front Right: Playback 25 [81%] [3.00dB] [on]
Simple mixer control 'Mic',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 23 [74%] [0.00dB] [off]
  Front Right: Playback 23 [74%] [0.00dB] [off]
Simple mixer control 'Mic Boost',0
  Capabilities: volume
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: 0 - 3
  Front Left: 1 [33%]
  Front Right: 1 [33%]
Simple mixer control 'IEC958',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [off]
Simple mixer control 'IEC958 Default PCM',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [on]
Simple mixer control 'Beep',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 0 [0%] [-34.50dB] [off]
  Front Right: Playback 0 [0%] [-34.50dB] [off]
Simple mixer control 'Capture',0
  Capabilities: cvolume cswitch
  Capture channels: Front Left - Front Right
  Limits: Capture 0 - 31
  Front Left: Capture 30 [97%] [33.00dB] [on]
  Front Right: Capture 30 [97%] [33.00dB] [on]
Simple mixer control 'Capture',1
  Capabilities: cvolume cswitch
  Capture channels: Front Left - Front Right
  Limits: Capture 0 - 31
  Front Left: Capture 0 [0%] [-12.00dB] [on]
  Front Right: Capture 0 [0%] [-12.00dB] [on]
Simple mixer control 'Capture',2
  Capabilities: cvolume cswitch
  Capture channels: Front Left - Front Right
  Limits: Capture 0 - 31
  Front Left: Capture 0 [0%] [-12.00dB] [on]
  Front Right: Capture 0 [0%] [-12.00dB] [on]
Simple mixer control 'Caller ID',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [off]
Simple mixer control 'Digital',0
  Capabilities: cvolume
  Capture channels: Front Left - Front Right
  Limits: Capture 0 - 120
  Front Left: Capture 60 [50%] [0.00dB]
  Front Right: Capture 60 [50%] [0.00dB]
Simple mixer control 'Input Source',0
  Capabilities: cenum
  Items: 'Mic' 'Int Mic' 'CD'
  Item0: 'Mic'
Simple mixer control 'Input Source',1
  Capabilities: cenum
  Items: 'Mic' 'Int Mic' 'CD'
  Item0: 'Mic'
Simple mixer control 'Input Source',2
  Capabilities: cenum
  Items: 'Mic' 'Int Mic' 'CD'
  Item0: 'Mic'
Simple mixer control 'Int Mic',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Fron...

Read more...

Daniel T Chen (crimsun) wrote :

Your Capture elements are still at zero:

On Mon, Nov 9, 2009 at 8:33 PM, shadowfoxx <email address hidden> wrote:
> Simple mixer control 'Capture',1
>  Capabilities: cvolume cswitch
>  Capture channels: Front Left - Front Right
>  Limits: Capture 0 - 31
>  Front Left: Capture 0 [0%] [-12.00dB] [on]
>  Front Right: Capture 0 [0%] [-12.00dB] [on]
> Simple mixer control 'Capture',2
>  Capabilities: cvolume cswitch
>  Capture channels: Front Left - Front Right
>  Limits: Capture 0 - 31
>  Front Left: Capture 0 [0%] [-12.00dB] [on]
>  Front Right: Capture 0 [0%] [-12.00dB] [on]

shadowfoxx (ed-shadowfoxx) wrote :

I'm not sure what that means or what you are suggesting... please clarify.

shadowfoxx (ed-shadowfoxx) wrote :
Download full text (3.4 KiB)

I just went into alsamixer and turned everything on and to full volume.. internal mic still does not work... below is the output of the amixer command to show you... now what?

Simple mixer control 'Master',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 31 [100%] [0.00dB] [on]
  Front Right: Playback 31 [100%] [0.00dB] [on]
Simple mixer control 'PCM',0
  Capabilities: pvolume
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 255
  Mono:
  Front Left: Playback 254 [100%] [0.20dB]
  Front Right: Playback 254 [100%] [0.20dB]
Simple mixer control 'CD',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 31 [100%] [12.00dB] [on]
  Front Right: Playback 31 [100%] [12.00dB] [on]
Simple mixer control 'Mic',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 31 [100%] [12.00dB] [on]
  Front Right: Playback 31 [100%] [12.00dB] [on]
Simple mixer control 'Mic Boost',0
  Capabilities: volume
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: 0 - 3
  Front Left: 3 [100%]
  Front Right: 3 [100%]
Simple mixer control 'IEC958',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [on]
Simple mixer control 'IEC958 Default PCM',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [on]
Simple mixer control 'Beep',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 31 [100%] [12.00dB] [on]
  Front Right: Playback 31 [100%] [12.00dB] [on]
Simple mixer control 'Capture',0
  Capabilities: cvolume cswitch
  Capture channels: Front Left - Front Right
  Limits: Capture 0 - 31
  Front Left: Capture 31 [100%] [34.50dB] [on]
  Front Right: Capture 31 [100%] [34.50dB] [on]
Simple mixer control 'Capture',1
  Capabilities: cvolume cswitch
  Capture channels: Front Left - Front Right
  Limits: Capture 0 - 31
  Front Left: Capture 31 [100%] [34.50dB] [on]
  Front Right: Capture 31 [100%] [34.50dB] [on]
Simple mixer control 'Capture',2
  Capabilities: cvolume cswitch
  Capture channels: Front Left - Front Right
  Limits: Capture 0 - 31
  Front Left: Capture 31 [100%] [34.50dB] [on]
  Front Right: Capture 31 [100%] [34.50dB] [on]
Simple mixer control 'Caller ID',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [on]
Simple mixer control 'Input Source',0
  Capabilities: cenum
  Items: 'Mic' 'Int Mic' 'CD'
  Item0: 'Int Mic'
Simple mixer control 'Input Source',1
  Capabilities: cenum
  Items: 'Mic' 'Int Mic' 'CD'
  Item0: 'Int Mic'
Simple mixer control 'Input Source',2
  Capabilities: cenum
  Items: 'Mic' 'Int Mic' 'CD'
  Item0: 'Int Mic'
Simple mixer control 'Int Mic',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 31 [100%] [12.00dB] [on]
  Front Right: Playback 31 [100%] [12.00dB] [on]
Simple...

Read more...

Daniel T Chen (crimsun) wrote :

On Mon, Nov 9, 2009 at 11:06 PM, shadowfoxx <email address hidden> wrote:
> I'm not sure what that means or what you are suggesting... please
> clarify.

I mean that you would want to raise the levels of 'Capture',1 and
'Capture',2. E.g.,

amixer set 'Capture',1 85%
amixer set 'Capture',2 85%

shadowfoxx (ed-shadowfoxx) wrote :

oh, ok no problem...

Please see new amixer output above... I put everything in alsamixer unmuted and at 100%... unfortunately the internal mic is still not working.

Daniel T Chen (crimsun) wrote :

Err, you don't want to unmute everything, particularly not IEC958,
Off-hook, Caller ID.

shadowfoxx (ed-shadowfoxx) wrote :

ok. IEC958, Off-hook, Caller ID have been muted again.. it still does not work... I'm just trying to get to whatever configuration you feel should be optimal as I do not feel that the problem is with the configuration. I have been using ubuntu since 9.04 which is not very long but long enough to have tried pretty much every combination of configuration changes in alsamixer you can think of and it has still never worked.

Daniel T Chen (crimsun) wrote :

Ok, so the final recourse is to try a newer sound driver, e.g.,
http://kernel.org/pub/linux/kernel/people/tiwai/snapshot/alsa-driver-20091110.tar.bz2
which has quite a few Realtek HDA fixes.

shadowfoxx (ed-shadowfoxx) wrote :

ok. The internal mic still does not seem to be working... but since I am somewhat new to linux let me list what I did just to make sure I did it correct.....I think I did this correct but just let me know... I downloaded the file you linked.. then extracted it.... then cd into the new extracted folder.... then did a ./configure (with no apparent problems listed) .. then the make command... then the make install command... all of which seemed to work just fine with no apparent errors... I then rebooted and went into alsamixer to check all the configurations are correct .. I tested the internal mic.. but it is still not working.

Daniel T Chen (crimsun) wrote :

Please attach output from the following commands:

cat /proc/asound/version
amixer

On Nov 10, 2009 8:40 AM, "shadowfoxx" <email address hidden> wrote:

ok. The internal mic still does not seem to be working... but since I am
somewhat new to linux let me list what I did just to make sure I did it
correct.....I think I did this correct but just let me know... I
downloaded the file you linked.. then extracted it.... then cd into the
new extracted folder.... then did a ./configure (with no apparent
problems listed) .. then the make command... then the make install
command... all of which seemed to work just fine with no apparent
errors... I then rebooted and went into alsamixer to check all the
configurations are correct .. I tested the internal mic.. but it is
still not working.

-- internal mic not working in ubuntu 9.04/9.10 etc... Realtek alc262
https://bugs.launchpad.net/b...

shadowfoxx (ed-shadowfoxx) wrote :
Download full text (3.4 KiB)

cat /proc/asound/version:
 Advanced Linux Sound Architecture Driver Version 1.0.21.
Compiled on Oct 14 2009 for kernel 2.6.31-14-generic (SMP).

amixer:
Simple mixer control 'Master',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 25 [81%] [-9.00dB] [on]
  Front Right: Playback 25 [81%] [-9.00dB] [on]
Simple mixer control 'PCM',0
  Capabilities: pvolume
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 255
  Mono:
  Front Left: Playback 255 [100%] [0.00dB]
  Front Right: Playback 255 [100%] [0.00dB]
Simple mixer control 'CD',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 27 [87%] [6.00dB] [on]
  Front Right: Playback 27 [87%] [6.00dB] [on]
Simple mixer control 'Mic',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 29 [94%] [9.00dB] [on]
  Front Right: Playback 29 [94%] [9.00dB] [on]
Simple mixer control 'Mic Boost',0
  Capabilities: volume
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: 0 - 3
  Front Left: 3 [100%]
  Front Right: 3 [100%]
Simple mixer control 'IEC958',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [off]
Simple mixer control 'IEC958 Default PCM',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [on]
Simple mixer control 'Beep',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 10 [32%] [-19.50dB] [off]
  Front Right: Playback 10 [32%] [-19.50dB] [off]
Simple mixer control 'Capture',0
  Capabilities: cvolume cswitch
  Capture channels: Front Left - Front Right
  Limits: Capture 0 - 31
  Front Left: Capture 31 [100%] [34.50dB] [on]
  Front Right: Capture 31 [100%] [34.50dB] [on]
Simple mixer control 'Capture',1
  Capabilities: cvolume cswitch
  Capture channels: Front Left - Front Right
  Limits: Capture 0 - 31
  Front Left: Capture 31 [100%] [34.50dB] [on]
  Front Right: Capture 31 [100%] [34.50dB] [on]
Simple mixer control 'Capture',2
  Capabilities: cvolume cswitch
  Capture channels: Front Left - Front Right
  Limits: Capture 0 - 31
  Front Left: Capture 31 [100%] [34.50dB] [on]
  Front Right: Capture 31 [100%] [34.50dB] [on]
Simple mixer control 'Caller ID',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [off]
Simple mixer control 'Input Source',0
  Capabilities: cenum
  Items: 'Mic' 'Int Mic' 'CD'
  Item0: 'Int Mic'
Simple mixer control 'Input Source',1
  Capabilities: cenum
  Items: 'Mic' 'Int Mic' 'CD'
  Item0: 'Int Mic'
Simple mixer control 'Input Source',2
  Capabilities: cenum
  Items: 'Mic' 'Int Mic' 'CD'
  Item0: 'Int Mic'
Simple mixer control 'Int Mic',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 27 [87%] [6.00dB] [on]
  Front Right: Playback 27 [87%] [6.00dB] [on]
Simple mixer control 'Int Mic Boost',0...

Read more...

Daniel T Chen (crimsun) wrote :

On Tue, Nov 10, 2009 at 9:46 AM, shadowfoxx <email address hidden> wrote:
> cat /proc/asound/version:
>  Advanced Linux Sound Architecture Driver Version 1.0.21.
> Compiled on Oct 14 2009 for kernel 2.6.31-14-generic (SMP).
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

You're still using linux-backports-modules-alsa-karmic-generic's
alsa-driver, not the snapshot you compiled.

Purge linux-backports-modules-2.6.31-14-generic, and reinstall the
20091110 alsa-driver stable snapshot.

WeatherGod (ben-v-root) wrote :

Just to point out a possibility for what went wrong... should the install be "sudo make install"? If so, it would probably be a good idea to do a 'make clean', and start over. Also, wouldn't a reboot be needed after the install?

Daniel T Chen (crimsun) wrote :

On Tue, Nov 10, 2009 at 12:23 PM, WeatherGod <email address hidden> wrote:
> Just to point out a possibility for what went wrong... should the
> install be "sudo make install"?  If so, it would probably be a good idea

Yes, one needs root privileges to write to /lib/modules

> to do a 'make clean', and start over.  Also, wouldn't a reboot be needed
> after the install?

Yes, a reboot is necessary.

shadowfoxx (ed-shadowfoxx) wrote :
Download full text (3.5 KiB)

Ok. I did it again but the internal mic still does not work.. here is the info again for you.

~$ cat /proc/asound/version
Advanced Linux Sound Architecture Driver Version 1.0.21.
Compiled on Nov 10 2009 for kernel 2.6.31-14-generic (SMP).

~$ amixer
Simple mixer control 'Master',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 26 [84%] [-7.50dB] [on]
  Front Right: Playback 26 [84%] [-7.50dB] [on]
Simple mixer control 'PCM',0
  Capabilities: pvolume
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 255
  Mono:
  Front Left: Playback 248 [97%] [-1.40dB]
  Front Right: Playback 248 [97%] [-1.40dB]
Simple mixer control 'CD',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 27 [87%] [6.00dB] [on]
  Front Right: Playback 27 [87%] [6.00dB] [on]
Simple mixer control 'Mic',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 29 [94%] [9.00dB] [off]
  Front Right: Playback 29 [94%] [9.00dB] [off]
Simple mixer control 'Mic Boost',0
  Capabilities: volume
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: 0 - 3
  Front Left: 3 [100%]
  Front Right: 3 [100%]
Simple mixer control 'IEC958',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [off]
Simple mixer control 'IEC958 Default PCM',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [on]
Simple mixer control 'Beep',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 10 [32%] [-19.50dB] [off]
  Front Right: Playback 10 [32%] [-19.50dB] [off]
Simple mixer control 'Capture',0
  Capabilities: cvolume cswitch
  Capture channels: Front Left - Front Right
  Limits: Capture 0 - 31
  Front Left: Capture 31 [100%] [34.50dB] [on]
  Front Right: Capture 31 [100%] [34.50dB] [on]
Simple mixer control 'Capture',1
  Capabilities: cvolume cswitch
  Capture channels: Front Left - Front Right
  Limits: Capture 0 - 31
  Front Left: Capture 31 [100%] [34.50dB] [on]
  Front Right: Capture 31 [100%] [34.50dB] [on]
Simple mixer control 'Capture',2
  Capabilities: cvolume cswitch
  Capture channels: Front Left - Front Right
  Limits: Capture 0 - 31
  Front Left: Capture 31 [100%] [34.50dB] [on]
  Front Right: Capture 31 [100%] [34.50dB] [on]
Simple mixer control 'Caller ID',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [off]
Simple mixer control 'Input Source',0
  Capabilities: cenum
  Items: 'Mic' 'Int Mic' 'CD'
  Item0: 'Int Mic'
Simple mixer control 'Input Source',1
  Capabilities: cenum
  Items: 'Mic' 'Int Mic' 'CD'
  Item0: 'Int Mic'
Simple mixer control 'Input Source',2
  Capabilities: cenum
  Items: 'Mic' 'Int Mic' 'CD'
  Item0: 'Int Mic'
Simple mixer control 'Int Mic',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 27 [87%]...

Read more...

shadowfoxx (ed-shadowfoxx) wrote :

and as advised I did reboot .. internal mic still does not work.

Daniel T Chen (crimsun) wrote :

Please attach your /proc/asound/card*/codec* while using the 20091110 snapshot.

shadowfoxx (ed-shadowfoxx) wrote :

I have no idea what you are asking for.. please clarify... if you need me to type a command in terminal to get more information please let me know the command.

Daniel T Chen (crimsun) wrote :

Just use apport-collect -p alsa-base 479373

On Nov 10, 2009 7:50 PM, "shadowfoxx" <email address hidden> wrote:

I have no idea what you are asking for.. please clarify... if you need
me to type a command in terminal to get more information please let me
know the command.

-- internal mic not working in ubuntu 9.04/9.10 etc... Realtek alc262
https://bugs.launchpad.net/b...

Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: rios 1870 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf8300000 irq 30'
   Mixer name : 'Realtek ALC262'
   Components : 'HDA:10ec0262,17aa3837,00100002 HDA:10573055,10573055,00100700'
   Controls : 29
   Simple ctrls : 18
DistroRelease: Ubuntu 9.10
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
Package: alsa-base 1.0.20+dfsg-1ubuntu5
PackageArchitecture: all
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_US.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-14.48+ureadahead2-generic
Uname: Linux 2.6.31-14-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

shadowfoxx (ed-shadowfoxx) wrote :

Ok.Thank you. I have completed the 'apport-collect -p alsa-base 479373' command as requested.

shadowfoxx (ed-shadowfoxx) wrote :

I just wanted to add that there has been a breakthrough. information has been posted @ https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/141445 that does solve the problem and does get the internal mic to start working on my Lenvo 3000 y410 laptop. The only problem is that upon reboot of the pc the settings are lost and the internal mic stops working. Please Please Please... if you can take a look at that ticket and suggest a way to allow the internal mic to stay on after reboot that would be great. Thanks.

a quick synopsis:

1) I downloaded a file called hda_codec.zip from http://ubuntuforums.org/showthread.php?t=1039685&highlight=hp+dv6000&page=4
2) I unzipped the file in my home directory
3) Open up a terminal and type:

sudo cp ~/hda_codec.py /dev/shm/hda-analyzer/
cd /dev/shm/hda-analyzer
sudo python ./hda_analyzer.py
4) changed VREF setting to 50 in Node 0x19

bingo.. internal mic started working.. but on reboot nothing was saved and mic was no longer working.

Brad Figg (brad-figg) wrote :

Hi shadowfoxx,

Please, if you are still having issues, test with the latest development release of Ubuntu. ISO CD images are available from http://cdimage.ubuntu.com/releases/ .

If it remains an issue, could you run the following command from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p alsa-base 479373

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds .

Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

Please let us know your results.

    [This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: kj-triage needs-test-current-image no-sound-mic
Changed in alsa-driver (Ubuntu):
status: New → Incomplete
Brad Figg (brad-figg) on 2010-03-31
tags: added: karmic

apport information

description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

shadowfoxx (ed-shadowfoxx) wrote :

I downloaded and upgraded to 'https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/141445' as requested but the internal mic still does not work.... so as requested I ran the following command in terminal 'apport-collect -p alsa-base 479373' the results are posted above.

shadowfoxx (ed-shadowfoxx) wrote :

** correction to above*** I downloaded and upgraded to http://cdimage.ubuntu.com/releases/

Your capture & *mic settings are still incorrect:

Simple mixer control 'Mic Boost',0
  Capabilities: volume penum
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: 0 - 3
  Front Left: 0 [0%]
  Front Right: 0 [0%]
^^^^^^^^^^^ raise this to 100%

Simple mixer control 'Capture',1
  Capabilities: cvolume cswitch penum
  Capture channels: Front Left - Front Right
  Limits: Capture 0 - 31
  Front Left: Capture 0 [0%] [-12.00dB] [on]
  Front Right: Capture 0 [0%] [-12.00dB] [on]
^^^^^^^^^^^ raise this to 100%

Simple mixer control 'Capture',2
  Capabilities: cvolume cswitch penum
  Capture channels: Front Left - Front Right
  Limits: Capture 0 - 31
  Front Left: Capture 0 [0%] [-12.00dB] [on]
  Front Right: Capture 0 [0%] [-12.00dB] [on]
^^^^^^^^^^^ raise this to 100%

Simple mixer control 'Input Source',1
  Capabilities: cenum
  Items: 'Mic' 'Int Mic' 'CD'
  Item0: 'Mic'
^^^^^^^^^^^ this should be Int Mic

Simple mixer control 'Input Source',2
  Capabilities: cenum
  Items: 'Mic' 'Int Mic' 'CD'
  Item0: 'Mic'
^^^^^^^^^^^ this should be Int Mic

Simple mixer control 'Int Mic Boost',0
  Capabilities: volume penum
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: 0 - 3
  Front Left: 1 [33%]
  Front Right: 1 [33%]
^^^^^^^^^^^ raise this to 100%

apport information

description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

shadowfoxx (ed-shadowfoxx) wrote :

oh, come on Daniel. We have been through this part before. However, to appease your request I have done as you have asked once more and provided the logs above to show you it has been done... yet, same as last time. It still does not work. If you need me to try anything else let me know.

shadowfoxx (ed-shadowfoxx) wrote :

I know this is a long ticket and has a lot of info in it.. so I will mention, again, that on line #53 it does have what I did to get it working. It did actually work after doing the steps I outlined on post #53 above in this ticket. The problem is that I, unfortunately, do not know enough about this stuff to know what that is exactly doing and how to get ubuntu to 1) have that done by default and 2) how to get it to stay after reboot. I don't mean to sound rude as that is not my intention but I do just want to bring it up again since this is a long ticket and don't want it to get overlooked. Thanks.

Daniel T Chen (crimsun) wrote :

shadowfoxx, I already submitted a fix for this precise bug (see comment 54), and it was merged upstream:

commit e2595322a3a353a59cecd7f57e7aa421ecb02d12
Author: Daniel T Chen <email address hidden>
Date: Sat Dec 19 18:19:02 2009 -0500

    ALSA: hda: Set Front Mic to input vref 50% for Lenovo 3000 Y410

    BugLink: https://bugs.launchpad.net/bugs/479373

    The OR has verified with hda-verb that the internal microphone needs
    VREF50 set for audible capture.

    Signed-off-by: Daniel T Chen <email address hidden>
    Signed-off-by: Takashi Iwai <<email address hidden>

I've requested that it be merged into the next round of stable updates for 2.6.32, so it probably will be in 2.6.32.12. Alternately, you can simply use linux-alsa-driver-modules-$(uname -r) from ppa:ubuntu-audio-dev.

I was assuming that you were using 2.6.33 or linux-alsa-driver-modules or testing Lucid already. Sorry.

Changed in alsa-driver (Ubuntu):
status: Incomplete → Fix Committed
assignee: nobody → Daniel T Chen (crimsun)
shadowfoxx (ed-shadowfoxx) wrote :

Well, I was trying to wait until the final release of Lucid before installing it...but I now have the lucid beta installed. I upgraded to lucid beta on post #56 at the request of brad fig on post #55.. but unfortunately the fix must not be on it yet. I'm still learning about ubuntu and linux in general so I apologize in advance for my shortcomings. I appreciate all your help.

Daniel T Chen (crimsun) wrote :

No, the fix is not present in Lucid's kernel yet. In comment 83 I noted that I have [today] requested that the fixed be merged into the next stable release of 2.6.32 [I couldn't find an e-mail address for you else I would have Cced you on the request to stable@kernel], so the fix will end up in a Lucid kernel eventually. Of course, since the fix has already been merged upstream (in December), you can also use linux-alsa-driver-modules-$(uname -r) from ppa:ubuntu-audio-dev.

shadowfoxx (ed-shadowfoxx) wrote :

ok. Thanks again for all your help and understanding Daniel. :)

Daniel T Chen (crimsun) on 2010-04-17
Changed in alsa-driver (Ubuntu):
status: Fix Committed → Fix Released
madbiologist (me-again) wrote :

The abovementioned fix is now available upstream in kernel 2.6.32.12. From the changelog:

commit 33ae7f00cbb6750d1c4b308cdd966794edbe4aef
Author: Daniel T Chen
Date: Sat Dec 19 18:19:02 2009 -0500

    ALSA: hda: Set Front Mic to input vref 50% for Lenovo 3000 Y410

    commit e2595322a3a353a59cecd7f57e7aa421ecb02d12 upstream.

    BugLink: https://bugs.launchpad.net/bugs/479373

    The OR has verified with hda-verb that the internal microphone needs
    VREF50 set for audible capture.

    Signed-off-by: Daniel T Chen
    Signed-off-by: Takashi Iwai
    Signed-off-by: Greg Kroah-Hartman

Stefan Bader (smb) on 2010-06-10
description: updated
Martin Pitt (pitti) on 2010-06-11
affects: alsa-driver (Ubuntu) → linux (Ubuntu)

Accepted linux into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in linux (Ubuntu Lucid):
status: New → Fix Committed
tags: added: verification-needed
Launchpad Janitor (janitor) wrote :
Download full text (25.2 KiB)

This bug was fixed in the package linux - 2.6.32-23.37

---------------
linux (2.6.32-23.37) lucid-proposed; urgency=low

  [ Alex Deucher ]

  * SAUCE: drm/radeon/kms/atom: fix dual-link DVI on DCE3.2/4.0
    - LP: #564559

  [ Andy Whitcroft ]

  * [Config] ports -- build in dm-mod to enable LVM boot
    - LP: #560717
  * tools -- fix perf version extraction for multi-part flavours
    - LP: #555130
  * SAUCE: ACPI: EC: Allow multibyte access to EC (v3)
    - LP: #526354
  * [Config] enforce -- ensure dm_mod is built-in for LVM
    - LP: #560717
  * update to ubuntu-debian:7e708d33054c373faf41da23b73e8b48c342d958
    - LP: #570500, #576274

  [ Chase Douglas ]

  * Revert "(pre-stable): input: ALPS - Add signature for HP Pavilion dm3
    laptops"
    - LP: #550625
  * Enable ftrace function profiler
    - LP: #570389
  * enforce CONFIG_TMPFS_POSIX_ACL=y
    - LP: #575940

  [ Leann Ogasawara ]

  * Revert "staging/comdi -- disable"
    - LP: #563436
  * [Config] Enable multicast routing for sparc
    - LP: #416266
  * [Config] Add ahci.ko to virtual sub-flavour
    - LP: #570542

  [ Stefan Bader ]

  * Revert "SAUCE: drm/i915: Disable FBC on 915GM and 945GM"
    - LP: #588832

  [ Tim Gardner ]

  * ubuntu: rtl8192se -- update to version 0015.0127.2010
    - LP: #567016
  * [Config] Add atl1c to nic-modules udeb
    - LP: #557130

  [ Upstream Kernel Changes ]

  * Revert "(pre-stable) iwlwifi: fix nfreed--"
    - LP: #575853
  * Revert "backlight: mbp_nvidia_bl - add five more MacBook variants"
    - LP: #575853
  * Revert "(pre-stable) pata_via: Add VIA VX900 support"
    - LP: #575853
  * Revert "(pre-stable) x86-32, resume: do a global tlb flush in S4
    resume"
    - LP: #575853
  * Revert "x86: disable IOMMUs on kernel crash"
    - LP: #575853
  * Revert "sunrpc: fix peername failed on closed listener"
    - LP: #575853
  * Revert "sunrpc: move the close processing after do recvfrom method"
    - LP: #575853
  * Revert "(pre-stable) drm/edid: allow certain bogus edids to hit a fixup
    path rather than fail"
    - LP: #575853
  * Revert "drm/radeon/kms: don't print error on -ERESTARTSYS."
    - LP: #575853
  * Revert "ath9k: fix lockdep warning when unloading module" on stable
    kernels
    - LP: #588832
  * Staging: comedi: removed "depricated" from COMEDI_CB_BLOCK
    - LP: #483343
  * fat: fix buffer overflow in vfat_create_shortname()
    - LP: #575853
  * xfs: simplify inode teardown
    - LP: #575853
  * xfs: fix mmap_sem/iolock inversion in xfs_free_eofblocks
    - LP: #575853
  * xfs: I/O completion handlers must use NOFS allocations
    - LP: #575853
  * xfs: Wrapped journal record corruption on read at recovery
    - LP: #575853
  * xfs: Fix error return for fallocate() on XFS
    - LP: #575853
  * xfs: check for not fully initialized inodes in xfs_ireclaim
    - LP: #575853
  * xfs: fix timestamp handling in xfs_setattr
    - LP: #575853
  * xfs: Don't flush stale inodes
    - LP: #575853
  * xfs: Ensure we force all busy extents in range to disk
    - LP: #575853
  * xfs: reclaim inodes under a write lock
    - LP: #575853
  * xfs: Avoid inodes in reclaim when flushing from inode cache
    - LP: #575853
  * xfs: recla...

Changed in linux (Ubuntu Lucid):
status: Fix Committed → Fix Released
shadowfoxx (ed-shadowfoxx) wrote :

Just wanted to say thank you!!!

Lucid update has resolved issue. :)

Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-lucid' to 'verification-done-lucid'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-lucid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers